Get Chat Thread - Get Chat Thread
Ottiene un thread di chat.
GET {endpoint}/chat/threads/{chatThreadId}?api-version=2020-09-21-preview2
Parametri dell'URI
| Nome | In | Necessario | Tipo | Descrizione |
|---|---|---|---|---|
|
chat
|
path | True |
string |
ID thread da ottenere. |
|
endpoint
|
path | True |
string |
Endpoint della risorsa di comunicazione di Azure. |
|
api-version
|
query | True |
string |
Versione dell'API da richiamare. |
Intestazione della richiesta
| Nome | Necessario | Tipo | Descrizione |
|---|---|---|---|
| Authorization | True |
string |
Un token di accesso utente ACS (Servizi di comunicazione di Azure). |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 200 OK |
Richiesta riuscita. L'azione restituisce una risorsa |
|
| 401 Unauthorized |
Non autorizzato |
|
| 403 Forbidden |
Vietato |
|
| 429 Too Many Requests |
Troppe richieste |
|
| Other Status Codes |
Servizio non disponibile |
Sicurezza
Authorization
Un token di accesso utente ACS (Servizi di comunicazione di Azure).
Tipo:
apiKey
In:
header
Esempio
Get chat thread
Esempio di richiesta
GET https://contoso.westus.communications.azure.com/chat/threads/19:uni01_zbnh3nt2dfuffezc3sox7dog7wfhk6y5qe2rwlnfhlhdzirihdpq@thread.v2?api-version=2020-09-21-preview2
Risposta di esempio
{
"id": "19:uni01_zbnh3nt2dfuffezc3sox7dog7wfhk6y5qe2rwlnfhlhdzirihdpq@thread.v2",
"topic": "Lunch",
"createdOn": "2020-06-06T05:55:41.6460000Z",
"createdBy": "8:acs:8540c0de-899f-5cce-acb5-3ec493af3800_0e59221d-0c1d-46ae-9544-c963ce56c10b",
"members": [
{
"id": "8:acs:8540c0de-899f-5cce-acb5-3ec493af3800_0e59221d-0c1d-46ae-9544-c963ce56c10a",
"shareHistoryTime": "2020-06-06T05:55:41Z"
},
{
"id": "8:acs:8540c0de-899f-5cce-acb5-3ec493af3800_0e59221d-0c1d-46ae-9544-c963ce56c10b",
"shareHistoryTime": "2020-06-06T05:55:41Z"
}
]
}
{
"code": "Unauthorized",
"message": "Request is not authorized."
}
{
"code": "Forbidden",
"message": "User is not allowed to perform specified action."
}
{
"code": "TooManyRequests",
"message": "Rate limit exceeded."
}
{
"code": "ServiceUnavailable",
"message": "The server is currently unable to handle the request."
}
Definizioni
| Nome | Descrizione |
|---|---|
|
Chat |
|
|
Chat |
Membro del thread di chat. |
| Error |
ChatThread
| Nome | Tipo | Descrizione |
|---|---|---|
| createdBy |
string |
ID del proprietario del thread di chat. |
| createdOn |
string (date-time) |
Timestamp al momento della creazione del thread di chat. Il timestamp è in formato ISO8601: |
| id |
string |
ID thread di chat. |
| members |
Membri del thread di chat. |
|
| topic |
string |
Argomento del thread di chat. |
ChatThreadMember
Membro del thread di chat.
| Nome | Tipo | Descrizione |
|---|---|---|
| displayName |
string |
Nome visualizzato per il membro del thread di chat. |
| id |
string |
ID del membro del thread di chat nel formato |
| shareHistoryTime |
string (date-time) |
Ora da cui la cronologia delle chat viene condivisa con il membro. Il timestamp è in formato ISO8601: |
Error
| Nome | Tipo | Descrizione |
|---|---|---|
| code |
string |
|
| innerErrors |
Error[] |
|
| message |
string |
|
| target |
string |